
QGIS Application - Bug report #20921

Cannot load netcdf files into QGIS 3.4.3

2019-01-04 02:35 PM - Simbi Hatchard

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.4.3 Regression?: No

Operating System: Ubuntu Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28740

Description

Hi,

I am trying to view netcdf files on QGIS 3.4 Madeira. This was working fine on QGI 2.18, but for QGIS 3.4, it reports the following error:

Invalid Layer: Raster layer Provider is not valid (provider: gdal, URI:

/home/simbi/hydro-modelling/Hydro-Modelling-Zambezi/pungwe_model_gauge/wbal_new_added.nc

There is nothing wrong with the nc file as far as I can see, its works fine with 2.18 (on windows, and previously on Ubuntu). Is this a bug,

or is there a solution my end?

Thank you,

Simbi

Related issues:

Related to QGIS Application - Bug report # 20980: NETCDF file format could no... Open 2019-01-12

History

#1 - 2019-01-04 05:42 PM - Giovanni Manghi

- Status changed from Open to Feedback

Does gdalinfo reuturns any info?

Also attach sample data.

#2 - 2019-01-04 05:42 PM - Giovanni Manghi

- Assignee deleted (Simbi Hatchard)

#3 - 2019-01-05 11:55 AM - Saber Razmjooei

Could you upload an example file?

#4 - 2019-01-12 09:38 AM - Saber Razmjooei

- Related to Bug report #20980: NETCDF file format could not be read by QGIS added

#5 - 2019-02-24 01:41 AM - Giovanni Manghi
- Resolution set to no timely feedback

- Status changed from Feedback to Closed
